i.ifft(1)

NAME
i.ifft - Inverse Fast Fourier Transform (IFFT) for image processing.

KEYWORDS
imagery, transformation, Fast Fourier Transform

SYNOPSIS
i.ifft
i.ifft --help
i.ifft real=name imaginary=name output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

real=name [required]
    Name of input raster map (image fft, real part)

imaginary=name [required]
    Name of input raster map (image fft, imaginary part

output=name [required]
    Name for output raster map

DESCRIPTION
i.ifft is an image processing program based on the algorithm given by Frigo et al. (1998), that converts real and imaginary frequency space images (produced by i.fft) into a normal image.

NOTES
The current mask is respected when reading the real and imaginary component files; thus, creating a mask is a primary step for selecting the portion of the frequency space data to be included in the inverse transform. The module wxGUI vector digitizer can be used to create masks while viewing the real or imaginary component image. Alternatively r.circle can be used to generate high-, low- and donut filters specifying the DC point as circle/ring center. When i.ifft is executed, it (automatically) uses the same GRASS region definition setting that was used during the original transformation done with i.fft.

SEE ALSO
i.cca, g.gui.iclass, i.fft, i.pca, r.circle, wxGUI vector digitizer

REFERENCES

    •   M. Frigo and S. G. Johnson (1998): "FFTW: An Adaptive Software Architecture for the FFT". See www.fftw.org: FFTW is a C subroutine library for computing the Discrete Fourier Transform (DFT) in one or more dimensions, of both real and complex data, and of arbitrary input size.

    •   Richards, J.A (1986): Remote Sensing Digital Image Analysis, Springer-Verlag, 1986.

    •   Personal communication, between program author and Ali R. Vali, Space Research Center, University of Texas, Austin, 1990.

AUTHORS
David Satnik, GIS Laboratory, Central Washington University
Glynn Clements (FFTW support)

SOURCE CODE

Available at: i.ifft source code (history)

Latest change: Mon Nov 18 20:15:32 2019 in commit: 1a1d107e4f6e1b846f9841c2c6fabf015c5f720d

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.8dev Reference Manual